Agents
Get an agent
GET /v1/agents/{id}- Permission
read:configs- Tokens
- API key, CLI user token, Session token
Read a saved agent and its configuration source.
Path parameters
idstringrequired
{
}
1
import os
2
3
from ellipsis import Ellipsis
4
5
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
6
7
result = client.agents.get("...")
8
print(result)
1
import { Ellipsis } from '@ellipsis-dev/sdk';
2
3
const client = new Ellipsis({
4
apiKey: process.env.ELLIPSIS_API_TOKEN!,
5
});
6
7
const result = await client.agents.get('...');
8
console.log(result);
1
curl "https://api.ellipsis.dev/v1/agents/{id}" \
2
-H "Authorization: Bearer $ELLIPSIS_API_TOKEN"
Response
agentAgentrequired
The agent.